# OAuth Filter by Domain

This module allows to define a list of `allowed_domains` on ‘auth.oauth.provider’ and shows only the relevant ones matching with the current domain

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

1. Go to Settings > Users and Companies > OAuth Providers.
2. Add a comma-separated list of domains in the Allowed Domains field.
3. Navigate to `/web/login`.
   - Only providers with `Allowed Domains` matching the current domain will be displayed.
   - If `Allowed Domains` is left empty, the provider will be visible on all domains.

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Kencove

### Contributors

- Trobz:
  - Tuan Nguyen <tuanna@trobz.com>

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/server-auth project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.